<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  
			   title="Detalhe de  Plano Pagamento"
			  maxWidth="1200" maxHeight="700"   
			   >
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="PagamentoPedidoVendaExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.PagamentoPedidoVenda;
			
			[Bindable]
			public var pagamentoPedidoVenda : PagamentoPedidoVenda = null;
			
			private var pagamentoPedidoVendaComponenteCadastro: PagamentoPedidoVendaComponenteCadastro;
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				pagamentoPedidoVendaComponenteCadastro = new PagamentoPedidoVendaComponenteCadastro();
				pagamentoPedidoVendaComponenteCadastro.pagamentoPedidoVenda = this.pagamentoPedidoVenda;
				pagamentoPedidoVendaComponenteCadastro.addEventListener("PagamentoPedidoVendaAtualizadoEvent", atualizarPagamentoPedidoVendaPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(pagamentoPedidoVendaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(pagamentoPedidoVendaComponenteCadastro);
			}
			
			private function atualizarPagamentoPedidoVendaPorAtualizacaoResultHandler(e:Event):void
			{
				this.pagamentoPedidoVenda = pagamentoPedidoVendaComponenteCadastro.pagamentoPedidoVenda;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				Alert.yesLabel = "Sim";
				Alert.noLabel = "Não";
				Alert.show("Exclusão", "Estas informações serão perdidas. Deseja EXCLUÍ-LAS assim mesmo?", Alert.YES | Alert.NO, this, alertClickHandler);
			}
			
			
			private function alertClickHandler(event:CloseEvent):void{
				var outputMessage:String = "";
				switch (event.detail){
					case Alert.YES:
						var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("pagamentoPedidoVendaService", excluirResultHandler);	
						remoteObject.getOperation("excluir").send(this.pagamentoPedidoVenda);
						break;
					case Alert.NO:
						break;
				}
			}			
			
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("PagamentoPedidoVendaExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Pedido Venda:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.pedidoVenda.id} - {pagamentoPedidoVenda.pedidoVenda.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Forma Pagamento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.formaPagamento.id} - {pagamentoPedidoVenda.formaPagamento.descricao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Lancamento Conta Receber:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.lancamentoContaReceber.id} - {pagamentoPedidoVenda.lancamentoContaReceber.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data de Pagamento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{dataPadrao.format(pagamentoPedidoVenda.dataPagamento)}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.valor}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Numero Documento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.numeroDocumento}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Numero Cheque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.numeroCheque}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="CnpjCpf:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.cnpjCpf}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Numero Duplicata:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.numeroDuplicata}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Situacao Lancamento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.situacaoLancamento}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Nota Fiscal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.idNotaFiscal}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="CPF Cheque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.cpfChequeFormatado}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Nome Cheque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.nomeCheque}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Banco do Cheque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.bancoCheque}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Agencia do Cheque:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.agenciaCheque}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Controle Pagamento Cartao:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{pagamentoPedidoVenda.controlePagamentoCartao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>